DOMASBuilderImpl (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.parsers

## Class DOMASBuilderImpl

- java.lang.Object
- - org.apache.xerces.parsers.XMLParser
  - - org.apache.xerces.parsers.AbstractXMLDocumentParser
    - - org.apache.xerces.parsers.AbstractDOMParser
      - - org.apache.xerces.parsers.DOMParserImpl
        - - org.apache.xerces.parsers.DOMASBuilderImpl

- All Implemented Interfaces:
    org.apache.xerces.dom3.as.DOMASBuilder, org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.XMLDTDContentModelHandler, org.apache.xerces.xni.XMLDTDHandler, org.w3c.dom.DOMConfiguration, org.w3c.dom.ls.LSParser

  Deprecated.

      public class DOMASBuilderImpl
      extends DOMParserImpl
      implements org.apache.xerces.dom3.as.DOMASBuilder

  This is Abstract Schema DOM Builder class. It extends the DOMParserImpl class. Provides support for preparsing schemas.
  Version:
    $Id: DOMASBuilderImpl.java 447239 2006-09-18 05:08:26Z mrglavas $
  Author:
    Pavani Mukthipudi, Sun Microsystems Inc., Neil Graham, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ENTITY_MANAGER` Deprecated.
    `protected static java.lang.String` | `ERROR_REPORTER` Deprecated.
    `protected ASModelImpl` | `fAbstractSchema` Deprecated.
    `protected XSGrammarBucket` | `fGrammarBucket` Deprecated.
    `protected static java.lang.String` | `SCHEMA_FULL_CHECKING` Deprecated.
    `protected static java.lang.String` | `SYMBOL_TABLE` Deprecated.

    - ### Fields inherited from class org.apache.xerces.parsers.DOMParserImpl

      `DEBUG, DISALLOW_DOCTYPE_DECL_FEATURE, DYNAMIC_VALIDATION, fBusy, fNamespaceDeclarations, fSchemaType, HONOUR_ALL_SCHEMALOCATIONS, NAMESPACE_GROWTH, NAMESPACES, NORMALIZE_DATA, PSVI_AUGMENT, TOLERATE_DUPLICATES, VALIDATION_FEATURE, XMLSCHEMA, XMLSCHEMA_FULL_CHECKING`

    - ### Fields inherited from class org.apache.xerces.parsers.AbstractDOMParser

      `CORE_DOCUMENT_CLASS_NAME, CREATE_CDATA_NODES_FEATURE, CREATE_ENTITY_REF_NODES, CURRENT_ELEMENT_NODE, DEFAULT_DOCUMENT_CLASS_NAME, DEFER_NODE_EXPANSION, DOCUMENT_CLASS_NAME, fBaseURIStack, fCreateCDATANodes, fCreateEntityRefNodes, fCurrentCDATASection, fCurrentCDATASectionIndex, fCurrentEntityDecl, fCurrentNode, fCurrentNodeIndex, fDeferNodeExpansion, fDeferredDocumentImpl, fDeferredEntityDecl, fDocument, fDocumentClassName, fDocumentImpl, fDocumentIndex, fDocumentType, fDocumentTypeIndex, fDOMFilter, fErrorHandler, fFilterReject, fFirstChunk, fInCDATASection, fIncludeComments, fIncludeIgnorableWhitespace, fInDTD, fInDTDExternalSubset, fInEntityRef, fInternalSubset, fNamespaceAware, fRejectedElementDepth, fRoot, fSkippedElemStack, fStorePSVI, fStringBuffer, INCLUDE_COMMENTS_FEATURE, INCLUDE_IGNORABLE_WHITESPACE, PSVI_DOCUMENT_CLASS_NAME`

    - ### Fields inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

      `fDocumentSource, fDTDContentModelSource, fDTDSource`

    - ### Fields inherited from class org.apache.xerces.parsers.XMLParser

      `ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

    - ### Fields inherited from interface org.w3c.dom.ls.LSParser

      `ACTION_APPEND_AS_CHILDREN, ACTION_INSERT_AFTER, ACTION_INSERT_BEFORE, ACTION_REPLACE, ACTION_REPLACE_CHILDREN`

    - ### Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler

      `CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

    - ### Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler

      `OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMASBuilderImpl()` Deprecated. Constructs a DOM Builder using the dtd/xml schema parser configuration.
    `DOMASBuilderImpl(SymbolTable symbolTable)` Deprecated. Constructs a DOM Builder using the specified symbol table.
    `DOMASBuilderImpl(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Deprecated. Constructs a DOM Builder using the specified symbol table and grammar pool.
    `DOMASBuilderImpl(XMLGrammarCachingConfiguration config)` Deprecated. Constructs a DOM Builder using the specified parser configuration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xerces.dom3.as.ASModel` | `getAbstractSchema()` Deprecated. Associate an `ASModel` with a document instance.
    `org.apache.xerces.dom3.as.ASModel` | `parseASInputSource(org.w3c.dom.ls.LSInput is)` Deprecated. Parse a Abstract Schema from a location identified by an `LSInput`.
    `org.apache.xerces.dom3.as.ASModel` | `parseASURI(java.lang.String uri)` Deprecated. Parse a Abstract Schema from a location identified by an URI.
    `void` | `setAbstractSchema(org.apache.xerces.dom3.as.ASModel abstractSchema)` Deprecated. Associate an `ASModel` with a document instance.

    - ### Methods inherited from class org.apache.xerces.parsers.DOMParserImpl

      `abort, canSetParameter, getAsync, getBusy, getDomConfig, getFilter, getParameter, getParameterNames, parse, parseURI, parseWithContext, reset, setFilter, setParameter, startElement`

    - ### Methods inherited from class org.apache.xerces.parsers.AbstractDOMParser

      `attributeDecl, characters, comment, createAttrNode, createElementNode, doctypeDecl, dropDocumentReferences, elementDecl, emptyElement, endAttlist, endCDATA, endConditional, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endParameterEntity, externalEntityDecl, getDocument, getDocumentClassName, handleBaseURI, handleBaseURI, ignorableWhitespace, ignoredCharacters, internalEntityDecl, notationDecl, processingInstruction, setCharacterData, setDocumentClassName, setLocale, startAttlist, startCDATA, startConditional, startDocument, startDTD, startExternalSubset, startGeneralEntity, startParameterEntity, textDecl, unparsedEntityDecl, xmlDecl`

    - ### Methods inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

      `any, element, empty, endContentModel, endGroup, getDocumentSource, getDTDContentModelSource, getDTDSource, occurrence, pcdata, separator, setDocumentSource, setDTDContentModelSource, setDTDSource, startContentModel, startGroup`

    - ### Methods inherited from class org.apache.xerces.parsers.XMLParser

      `parse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.ls.LSParser

      `abort, getAsync, getBusy, getDomConfig, getFilter, parse, parseURI, parseWithContext, setFilter`

- - ### Field Detail

    - #### SCHEMA_FULL_CHECKING

          protected static final java.lang.String SCHEMA_FULL_CHECKING

      Deprecated.
      See Also:
        Constant Field Values

    - #### ERROR_REPORTER

          protected static final java.lang.String ERROR_REPORTER

      Deprecated.
      See Also:
        Constant Field Values

    - #### SYMBOL_TABLE

          protected static final java.lang.String SYMBOL_TABLE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ENTITY_MANAGER

          protected static final java.lang.String ENTITY_MANAGER

      Deprecated.
      See Also:
        Constant Field Values

    - #### fGrammarBucket

          protected XSGrammarBucket fGrammarBucket

      Deprecated.

    - #### fAbstractSchema

          protected ASModelImpl fAbstractSchema

      Deprecated.

  - ### Constructor Detail

    - #### DOMASBuilderImpl

          public DOMASBuilderImpl()

      Deprecated.
      Constructs a DOM Builder using the dtd/xml schema parser configuration.

    - #### DOMASBuilderImpl

          public DOMASBuilderImpl(XMLGrammarCachingConfiguration config)

      Deprecated.
      Constructs a DOM Builder using the specified parser configuration. We must demand that the configuration extend XMLGrammarCachingConfiguration to make sure all relevant methods/features are available.

    - #### DOMASBuilderImpl

          public DOMASBuilderImpl(SymbolTable symbolTable)

      Deprecated.
      Constructs a DOM Builder using the specified symbol table.

    - #### DOMASBuilderImpl

          public DOMASBuilderImpl(SymbolTable symbolTable,
                          org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

      Deprecated.
      Constructs a DOM Builder using the specified symbol table and grammar pool. The grammarPool implementation should extent the default implementation; otherwise, correct functioning of this class may not occur.

  - ### Method Detail

    - #### getAbstractSchema

          public org.apache.xerces.dom3.as.ASModel getAbstractSchema()

      Deprecated.
      Associate an `ASModel` with a document instance. This `ASModel` will be used by the " `validate-if-schema`" and " `datatype-normalization`" options during the load of a new `Document`.
      Specified by:
        `getAbstractSchema` in interface `org.apache.xerces.dom3.as.DOMASBuilder`

    - #### setAbstractSchema

          public void setAbstractSchema(org.apache.xerces.dom3.as.ASModel abstractSchema)

      Deprecated.
      Associate an `ASModel` with a document instance. This `ASModel` will be used by the " `validate-if-schema`" and " `datatype-normalization`" options during the load of a new `Document`.
      Specified by:
        `setAbstractSchema` in interface `org.apache.xerces.dom3.as.DOMASBuilder`

    - #### parseASURI

          public org.apache.xerces.dom3.as.ASModel parseASURI(java.lang.String uri)
                                                       throws org.apache.xerces.dom3.as.DOMASException,
                                                              java.lang.Exception

      Deprecated.
      Parse a Abstract Schema from a location identified by an URI.
      Specified by:
        `parseASURI` in interface `org.apache.xerces.dom3.as.DOMASBuilder`
      Parameters:
        `uri` - The location of the Abstract Schema to be read.
      Returns:
        The newly created `Abstract Schema`.
      Throws:
        `org.apache.xerces.dom3.as.DOMASException` - Exceptions raised by `parseASURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a `DOMASException` if any form of Abstract Schema inconsistencies or warning occurs during the parse, but application defined errorHandlers are not required to do so.
        WRONG_MIME_TYPE_ERR: Raised when `mimeTypeCheck` is `true` and the inputsource has an incorrect MIME Type. See attribute `mimeTypeCheck`.
        `DOMSystemException` - Exceptions raised by `parseURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a DOMSystemException if any form I/O or other system error occurs during the parse, but application defined error handlers are not required to do so.
        `java.lang.Exception`

    - #### parseASInputSource

          public org.apache.xerces.dom3.as.ASModel parseASInputSource(org.w3c.dom.ls.LSInput is)
                                                               throws org.apache.xerces.dom3.as.DOMASException,
                                                                      java.lang.Exception

      Deprecated.
      Parse a Abstract Schema from a location identified by an `LSInput`.
      Specified by:
        `parseASInputSource` in interface `org.apache.xerces.dom3.as.DOMASBuilder`
      Parameters:
        `is` - The `LSInput` from which the source Abstract Schema is to be read.
      Returns:
        The newly created `ASModel`.
      Throws:
        `org.apache.xerces.dom3.as.DOMASException` - Exceptions raised by `parseASURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a `DOMASException` if any form of Abstract Schema inconsistencies or warning occurs during the parse, but application defined errorHandlers are not required to do so.
        WRONG_MIME_TYPE_ERR: Raised when `mimeTypeCheck` is true and the inputsource has an incorrect MIME Type. See attribute `mimeTypeCheck`.
        `DOMSystemException` - Exceptions raised by `parseURI()` originate with the installed ErrorHandler, and thus depend on the implementation of the `DOMErrorHandler` interfaces. The default error handlers will raise a DOMSystemException if any form I/O or other system error occurs during the parse, but application defined error handlers are not required to do so.
        `java.lang.Exception`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.